diff -u gnoise-0.1.15/src/gnoise.c gnoise-0.1.15-colin/src/gnoise.c
--- gnoise-0.1.15/src/gnoise.c	Sun Jan 13 03:51:16 2002
+++ gnoise-0.1.15-colin/src/gnoise.c	Thu Jun 20 00:30:02 2002
@@ -846,6 +846,12 @@
 }
 
 
+void on_run_gmix(GtkMenuItem *menuitem, gpointer user_data)
+{
+	system ("gmix &");
+}
+
+
 void on_open(GtkMenuItem *menuitem, gpointer user_data)
 {
     static GtkWidget	*wnd = NULL;
diff -u gnoise-0.1.15/src/gnoise.h gnoise-0.1.15-colin/src/gnoise.h
--- gnoise-0.1.15/src/gnoise.h	Sun Jan 13 03:51:16 2002
+++ gnoise-0.1.15-colin/src/gnoise.h	Thu Jun 20 00:15:19 2002
@@ -170,6 +170,7 @@
 void	 on_new_file			(GtkMenuItem *, gpointer);
 void	 on_open			(GtkMenuItem *, gpointer);
 void	 on_save			(GtkMenuItem *, gpointer);
+void	 on_run_gmix			(GtkMenuItem *, gpointer);
 void	 on_close			(GtkMenuItem *, gpointer);
 void	 on_properties			(GtkMenuItem *, gpointer);
 void	 on_quit			(GtkMenuItem *, gpointer);
diff -u gnoise-0.1.15/src/gui-gnome.c gnoise-0.1.15-colin/src/gui-gnome.c
--- gnoise-0.1.15/src/gui-gnome.c	Sun Jan 13 03:39:09 2002
+++ gnoise-0.1.15-colin/src/gui-gnome.c	Thu Jun 20 00:22:43 2002
@@ -28,6 +28,8 @@
   GNOMEUIINFO_MENU_SAVE_ITEM (on_save, NULL),
   GNOMEUIINFO_MENU_PROPERTIES_ITEM (on_properties, NULL),
   GNOMEUIINFO_SEPARATOR,
+  GNOMEUIINFO_MENU_NEW_ITEM ("_Run Gmix", NULL, on_run_gmix, NULL),
+  GNOMEUIINFO_SEPARATOR,
   GNOMEUIINFO_MENU_CLOSE_ITEM (on_close, NULL),
   GNOMEUIINFO_MENU_EXIT_ITEM (on_quit, NULL),
   GNOMEUIINFO_END
@@ -416,13 +418,23 @@
                             (GtkDestroyNotify) gtk_widget_unref);
 
   gtk_widget_ref (File_menu_uiinfo[5].widget);
-  gtk_object_set_data_full (GTK_OBJECT (MainWindow), "Close",
+  gtk_object_set_data_full (GTK_OBJECT (MainWindow), "Run gmix",
                             File_menu_uiinfo[5].widget,
                             (GtkDestroyNotify) gtk_widget_unref);
 
   gtk_widget_ref (File_menu_uiinfo[6].widget);
-  gtk_object_set_data_full (GTK_OBJECT (MainWindow), "Exit",
+  gtk_object_set_data_full (GTK_OBJECT (MainWindow), "separator2",
                             File_menu_uiinfo[6].widget,
+                            (GtkDestroyNotify) gtk_widget_unref);
+
+  gtk_widget_ref (File_menu_uiinfo[7].widget);
+  gtk_object_set_data_full (GTK_OBJECT (MainWindow), "Close",
+                            File_menu_uiinfo[7].widget,
+                            (GtkDestroyNotify) gtk_widget_unref);
+
+  gtk_widget_ref (File_menu_uiinfo[8].widget);
+  gtk_object_set_data_full (GTK_OBJECT (MainWindow), "Exit",
+                            File_menu_uiinfo[8].widget,
                             (GtkDestroyNotify) gtk_widget_unref);
 
   gtk_widget_ref (MainMenu_uiinfo[1].widget);
